Page MenuHomePhabricator

Consolidate dark mode
Closed, ResolvedPublic3 Estimate Story Points

Description

apps-android-wikipedia/www/js/transforms/addDarkModeStyles.js
apps-android-wikipedia/www/js/dark.js
apps-android-wikipedia/www/js/constant.js
apps-android-wikipedia/www/js/loader.js
MobileApp/styles/android/night.less
rename "night" terminology to dark
change transforms to use an extra class instead of an extra stylesheet. the current implementation like dynamically replaces the stylesheets or something

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2017, 10:14 PM
Niedzielski updated the task description. (Show Details)May 17 2017, 7:58 PM
Niedzielski moved this task from Backlog to L on the wikimedia-page-library-tshirt board.
Niedzielski set the point value for this task to 3.May 22 2017, 4:14 PM
Niedzielski closed this task as Resolved.Jul 21 2017, 4:19 AM
Niedzielski claimed this task.

The iOS integration is complete, therefore the consolidation is complete.

Change 365055 merged by jenkins-bot:
[mediawiki/extensions/MobileApp@master] Hygiene: consolidate dark theming in wikimedia-page-library

https://gerrit.wikimedia.org/r/365055